netatalk: vfs.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
vfs.h File Reference
`#include <atalk/acl.h>`
`#include <atalk/adouble.h>`
`#include <atalk/volume.h>`

Go to the source code of this file.

## Data Structures
struct | vfs_ops

## Macros
#define | VFS_MODULES_MAX 3

## Typedefs
typedef int(* | vfs_validupath_fn) (const struct vol *vol, const char *name)
typedef int(* | vfs_chown_fn) (const struct vol *vol, const char *path, uid_t uid, gid_t gid)
typedef int(* | vfs_renamedir_fn) (const struct vol *vol, int dirfd, const char *oldpath, const char *newpath)
typedef int(* | vfs_deletecurdir_fn) (const struct vol *vol)
typedef int(* | vfs_setfilmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)
typedef int(* | vfs_setdirmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)
typedef int(* | vfs_setdirunixmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)
typedef int(* | vfs_setdirowner_fn) (const struct vol *vol, const char *name, uid_t uid, gid_t gid)
typedef int(* | vfs_deletefile_fn) (const struct vol *vol, int dirfd, const char *file)
typedef int(* | vfs_renamefile_fn) (const struct vol *vol, int dirfd, const char *src, const char *dst)
typedef int(* | vfs_copyfile_fn) (const struct vol *vol, int sfd, const char *src, const char *dst)
typedef int(* | vfs_solaris_acl_fn) (const struct vol *vol, const char *path, int cmd, int count, void *aces)
typedef int(* | vfs_posix_acl_fn) (const struct vol *vol, const char *path, acl_type_t type, int count, acl_t acl)
typedef int(* | vfs_remove_acl_fn) (const struct vol *vol, const char *path, int dir)
typedef int(* | vfs_ea_getsize_fn) (const struct vol *vol, char *rbuf, size_t *rbuflen, const char *uname, int oflag, const char *attruname, int fd)
typedef int(* | vfs_ea_getcontent_fn) (const struct vol *vol, char *rbuf, size_t *rbuflen, const char *uname, int oflag, const char *attruname, int maxreply, int fd)
typedef int(* | vfs_ea_list_fn) (const struct vol *vol, char *attrnamebuf, size_t *buflen, const char *uname, int oflag, int fd)
typedef int(* | vfs_ea_set_fn) (const struct vol *vol, const char *uname, const char *attruname, const char *ibuf, size_t attrsize, int oflag, int fd)
typedef int(* | vfs_ea_remove_fn) (const struct vol *vol, const char *uname, const char *attruname, int oflag, int fd)

## Functions
void | initvol_vfs (struct vol *vol)

## Detailed Description

vfs layer for afp

## Macro Definition Documentation

## ◆ VFS_MODULES_MAX

#define VFS_MODULES_MAX 3

Maximum number of VFS modules that can be chained

## Typedef Documentation

## ◆ vfs_chown_fn

typedef int(* vfs_chown_fn) (const struct vol *vol, const char *path, uid_t uid, gid_t gid)

## ◆ vfs_copyfile_fn

typedef int(* vfs_copyfile_fn) (const struct vol *vol, int sfd, const char *src, const char *dst)

## ◆ vfs_deletecurdir_fn

typedef int(* vfs_deletecurdir_fn) (const struct vol *vol)

## ◆ vfs_deletefile_fn

typedef int(* vfs_deletefile_fn) (const struct vol *vol, int dirfd, const char *file)

## ◆ vfs_ea_getcontent_fn

typedef int(* vfs_ea_getcontent_fn) (const struct vol *vol, char *rbuf, size_t *rbuflen, const char *uname, int oflag, const char *attruname, int maxreply, int fd)

## ◆ vfs_ea_getsize_fn

typedef int(* vfs_ea_getsize_fn) (const struct vol *vol, char *rbuf, size_t *rbuflen, const char *uname, int oflag, const char *attruname, int fd)

## ◆ vfs_ea_list_fn

typedef int(* vfs_ea_list_fn) (const struct vol *vol, char *attrnamebuf, size_t *buflen, const char *uname, int oflag, int fd)

## ◆ vfs_ea_remove_fn

typedef int(* vfs_ea_remove_fn) (const struct vol *vol, const char *uname, const char *attruname, int oflag, int fd)

## ◆ vfs_ea_set_fn

typedef int(* vfs_ea_set_fn) (const struct vol *vol, const char *uname, const char *attruname, const char *ibuf, size_t attrsize, int oflag, int fd)

## ◆ vfs_posix_acl_fn

typedef int(* vfs_posix_acl_fn) (const struct vol *vol, const char *path, acl_type_t type, int count, acl_t acl)

## ◆ vfs_remove_acl_fn

typedef int(* vfs_remove_acl_fn) (const struct vol *vol, const char *path, int dir)

## ◆ vfs_renamedir_fn

typedef int(* vfs_renamedir_fn) (const struct vol *vol, int dirfd, const char *oldpath, const char *newpath)

## ◆ vfs_renamefile_fn

typedef int(* vfs_renamefile_fn) (const struct vol *vol, int dirfd, const char *src, const char *dst)

## ◆ vfs_setdirmode_fn

typedef int(* vfs_setdirmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)

## ◆ vfs_setdirowner_fn

typedef int(* vfs_setdirowner_fn) (const struct vol *vol, const char *name, uid_t uid, gid_t gid)

## ◆ vfs_setdirunixmode_fn

typedef int(* vfs_setdirunixmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)

## ◆ vfs_setfilmode_fn

typedef int(* vfs_setfilmode_fn) (const struct vol *vol, const char *name, mode_t mode, struct stat *st)

## ◆ vfs_solaris_acl_fn

typedef int(* vfs_solaris_acl_fn) (const struct vol *vol, const char *path, int cmd, int count, void *aces)

## ◆ vfs_validupath_fn

typedef int(* vfs_validupath_fn) (const struct vol *vol, const char *name)

## Function Documentation

## ◆ initvol_vfs()

void initvol_vfs | ( | struct vol * | vol | ) |
| extern